texmath-0.8.4: Conversion between formats used to represent mathematics.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Writers.TeX

Synopsis

- writeTeX :: [Exp] -> String
- writeTeXWith :: Env -> [Exp] -> String
- addLaTeXEnvironment :: DisplayType -> String -> String

# Documentation

writeTeX :: [Exp] -> String

Transforms an expression tree to equivalent LaTeX with the default packages (amsmath and amssymb)

writeTeXWith :: Env -> [Exp] -> String

Transforms an expression tree to equivalent LaTeX with the specified packages

addLaTeXEnvironment :: DisplayType -> String -> String

Adds the correct LaTeX environment around a TeXMath fragment